Index: /palm/trunk/SOURCE/chem_modules.f90
===================================================================
--- /palm/trunk/SOURCE/chem_modules.f90	(revision 4576)
+++ /palm/trunk/SOURCE/chem_modules.f90	(revision 4577)
@@ -26,4 +26,7 @@
 ! -----------------
 ! $Id$
+! further re-formatting concerning Fortran parameter variables
+!
+! 4559 2020-06-11 08:51:48Z raasch
 ! file re-formatted to follow the PALM coding standard
 !
@@ -95,4 +98,30 @@
 
     IMPLICIT NONE
+
+    REAL, PARAMETER ::  xm_air   =   28.964e-3             !< air      molecular weight (kg/mol)
+    REAL, PARAMETER ::  xm_C     =   12.01115e-3           !< C        molecular weight (kg/mol)
+    REAL, PARAMETER ::  xm_Ca    =   40.07800e-3           !< Ca       molecular weight (kg/mol)
+    REAL, PARAMETER ::  xm_Cd    =  112.41000e-3           !< Cd       molecular weight (kg/mol)
+    REAL, PARAMETER ::  xm_Cl    =   35.45300e-3           !< Cl       molecular weight (kg/mol)
+    REAL, PARAMETER ::  xm_dummy = 1000.0e-3               !< dummy    molecular weight (kg/mol)
+    REAL, PARAMETER ::  xm_F     =   18.99840e-3           !< F        molecular weight (kg/mol)
+    REAL, PARAMETER ::  xm_H     =    1.00790e-3           !< H        molecular weight (kg/mol)
+    REAL, PARAMETER ::  xm_K     =   39.09800e-3           !< K        molecular weight (kg/mol)
+    REAL, PARAMETER ::  xm_Mg    =   24.30500e-3           !< Mg       molecular weight (kg/mol)
+    REAL, PARAMETER ::  xm_N     =   14.00670e-3           !< N        molecular weight (kg/mol)
+    REAL, PARAMETER ::  xm_Na    =   22.98977e-3           !< Na       molecular weight (kg/mol)
+    REAL, PARAMETER ::  xm_O     =   15.99940e-3           !< O        molecular weight (kg/mol)
+    REAL, PARAMETER ::  xm_Pb    =  207.20000e-3           !< Pb       molecular weight (kg/mol)
+    REAL, PARAMETER ::  xm_Pb210 =  210.00000e-3           !< Pb (210) molecular weight (kg/mol)
+    REAL, PARAMETER ::  xm_Rn222 =  222.00000e-3           !< Rn (222) molecular weight (kg/mol)
+    REAL, PARAMETER ::  xm_S     =   32.06400e-3           !< S        molecular weight (kg/mol)
+    REAL, PARAMETER ::  xm_CO2   = xm_C + xm_O * 2         !< CO2      molecular weight (kg/mol)
+    REAL, PARAMETER ::  xm_h2o   = xm_H * 2 + xm_O         !< H2O      molecular weight (kg/mol)
+    REAL, PARAMETER ::  xm_HNO3  = xm_H + xm_N + xm_O * 3  !< HNO3     molecular weight (kg/mol)
+    REAL, PARAMETER ::  xm_o3    = xm_O * 3                !< O3       molecular weight (kg/mol)
+    REAL, PARAMETER ::  xm_N2O5  = xm_N * 2 + xm_O * 5     !< N2O5     molecular weight (kg/mol)
+    REAL, PARAMETER ::  xm_NH4   = xm_N + xm_H * 4         !< NH4      molecular weight (kg/mol)
+    REAL, PARAMETER ::  xm_NO3   = xm_N + xm_O * 3         !< NO3      molecular weight (kg/mol)
+    REAL, PARAMETER ::  xm_SO4   = xm_S + xm_O * 4         !< SO4      molecular weight (kg/mol)
 
     CHARACTER (LEN=20) ::  bc_cs_b        = 'dirichlet'         !< namelist parameter: surface
@@ -247,29 +276,4 @@
     REAL(wp), DIMENSION(:,:,:), POINTER ::  tcs_m  !< pointer: to tcs array (temp)
 
-    REAL, PARAMETER ::  xm_air   =   28.964e-3             !< air      molecular weight (kg/mol)
-    REAL, PARAMETER ::  xm_C     =   12.01115e-3           !< C        molecular weight (kg/mol)
-    REAL, PARAMETER ::  xm_Ca    =   40.07800e-3           !< Ca       molecular weight (kg/mol)
-    REAL, PARAMETER ::  xm_Cd    =  112.41000e-3           !< Cd       molecular weight (kg/mol)
-    REAL, PARAMETER ::  xm_Cl    =   35.45300e-3           !< Cl       molecular weight (kg/mol)
-    REAL, PARAMETER ::  xm_dummy = 1000.0e-3               !< dummy    molecular weight (kg/mol)
-    REAL, PARAMETER ::  xm_F     =   18.99840e-3           !< F        molecular weight (kg/mol)
-    REAL, PARAMETER ::  xm_H     =    1.00790e-3           !< H        molecular weight (kg/mol)
-    REAL, PARAMETER ::  xm_K     =   39.09800e-3           !< K        molecular weight (kg/mol)
-    REAL, PARAMETER ::  xm_Mg    =   24.30500e-3           !< Mg       molecular weight (kg/mol)
-    REAL, PARAMETER ::  xm_N     =   14.00670e-3           !< N        molecular weight (kg/mol)
-    REAL, PARAMETER ::  xm_Na    =   22.98977e-3           !< Na       molecular weight (kg/mol)
-    REAL, PARAMETER ::  xm_O     =   15.99940e-3           !< O        molecular weight (kg/mol)
-    REAL, PARAMETER ::  xm_Pb    =  207.20000e-3           !< Pb       molecular weight (kg/mol)
-    REAL, PARAMETER ::  xm_Pb210 =  210.00000e-3           !< Pb (210) molecular weight (kg/mol)
-    REAL, PARAMETER ::  xm_Rn222 =  222.00000e-3           !< Rn (222) molecular weight (kg/mol)
-    REAL, PARAMETER ::  xm_S     =   32.06400e-3           !< S        molecular weight (kg/mol)
-    REAL, PARAMETER ::  xm_CO2   = xm_C + xm_O * 2         !< CO2      molecular weight (kg/mol)
-    REAL, PARAMETER ::  xm_h2o   = xm_H * 2 + xm_O         !< H2O      molecular weight (kg/mol)
-    REAL, PARAMETER ::  xm_HNO3  = xm_H + xm_N + xm_O * 3  !< HNO3     molecular weight (kg/mol)
-    REAL, PARAMETER ::  xm_o3    = xm_O * 3                !< O3       molecular weight (kg/mol)
-    REAL, PARAMETER ::  xm_N2O5  = xm_N * 2 + xm_O * 5     !< N2O5     molecular weight (kg/mol)
-    REAL, PARAMETER ::  xm_NH4   = xm_N + xm_H * 4         !< NH4      molecular weight (kg/mol)
-    REAL, PARAMETER ::  xm_NO3   = xm_N + xm_O * 3         !< NO3      molecular weight (kg/mol)
-    REAL, PARAMETER ::  xm_SO4   = xm_S + xm_O * 4         !< SO4      molecular weight (kg/mol)
 !
 !-  Define chemical variables within chem_species
Index: /palm/trunk/SOURCE/chem_photolysis_mod.f90
===================================================================
--- /palm/trunk/SOURCE/chem_photolysis_mod.f90	(revision 4576)
+++ /palm/trunk/SOURCE/chem_photolysis_mod.f90	(revision 4577)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! further re-formatting to follow the PALM coding standard
+!
+! 4559 2020-06-11 08:51:48Z raasch
 ! file re-formatted to follow the PALM coding standard
 !
@@ -89,37 +92,34 @@
 
 
-!   LOGICAL ::  unscheduled_photolysis_calls = .TRUE., & !< flag parameter indicating whether
-!                                                        !< additional calls of the photolysis code are allowed
-!               constant_albedo = .FALSE.,             & !< flag parameter indicating whether the
-!                                                        !< albedo may change depending on zenith
-!               force_photolysis_call = .FALSE.,       & !< flag parameter for unscheduled photolysis
-!                                                        !< calls
-!               photolysis = .FALSE.,                  & !< flag parameter indicating whether the
-!                                                        !< photolysis model is used
-!               sun_up    = .TRUE.,                    & !< flag parameter indicating whether the sun
-!                                                        !< is up or down
-!               photolysis = .TRUE.,                   & !< flag parameter indicing whether
-!                                                        !< photolysis shall be calculated
-!               sun_direction = .FALSE.                  !< flag parameter indicing whether solar
-!                                                        !< direction shall be calculated
-
+!   LOGICAL ::  unscheduled_photolysis_calls = .TRUE., & !< flag parameter indicating whether additional calls of the photolysis
+!                                                        !< code are allowed
+!               constant_albedo = .FALSE.,             & !< flag parameter indicating whether the albedo may change depending on
+!                                                        !< zenith
+!               force_photolysis_call = .FALSE.,       & !< flag parameter for unscheduled photolysis calls
+!               photolysis = .FALSE.,                  & !< flag parameter indicating whether the photolysis model is used
+!               sun_up    = .TRUE.,                    & !< flag parameter indicating whether the sun is up or down
+!               photolysis = .TRUE.,                   & !< flag parameter indicing whether photolysis shall be calculated
+!               sun_direction = .FALSE.                  !< flag parameter indicing whether solar direction shall be calculated
+
+!
 !-- Parameters for constant photolysis frequencies
-    INTEGER,PARAMETER :: nconst  = 15               !< available predefined photolysis prequencies
-                                                    !< for constant
-
-! Names for predefined fixed photolysis frequencies at zenith angle 0
+    INTEGER,PARAMETER :: nconst  = 15               !< available predefined photolysis prequencies for constant
+!
+!-- Names for predefined fixed photolysis frequencies at zenith angle 0
     CHARACTER(LEN=10), PARAMETER, DIMENSION(nconst) :: names_c =  (/                               &
                      'J_O31D    ','J_O33P    ','J_NO2     ','J_HNO3    ','J_RCHO    ',             &
                      'J         ','J         ','J         ','J         ','J         ',             &
                      'J         ','J         ','J         ','J         ','J         ' /)
-! Photolysis frequency at zenith angle 0 degrees in 1/s
+!
+!-- Photolysis frequency at zenith angle 0 degrees in 1/s
     REAL(wp), PARAMETER, DIMENSION(nconst) :: phot0 =  (/                                          &
                       2.489E-05_wp, 3.556E-04_wp, 8.89E-03_wp,5.334E-07_wp, 3.734E-05_wp,          &
                       0.0000E00_wp, 0.0000E00_wp, 0.0000E00_wp,0.0000E00_wp, 0.0000E00_wp,         &
                       0.0000E00_wp, 0.0000E00_wp, 0.0000E00_wp,0.0000E00_wp, 0.0000E00_wp /)
-
+!
 !-- Parameters for simple photolysis frequencies from MCM (http://mcm.leeds.ac.uk/MCM)
 !-- Saunders et al., 2003, Atmos. Chem. Phys., 3, 161-180
     INTEGER,PARAMETER :: nsimple = 15               !< available predefined photolysis prequencies for simple parameterisation
+!
 !-- Names for simple photolysis frequencies parameterisation (
     CHARACTER(LEN=10), PARAMETER, DIMENSION(nsimple) :: names_s =  (/                              &
@@ -127,5 +127,5 @@
                      'J_NO3_B   ','J_HONO    ','J_HNO3    ','J_HCHO_A  ','J_HCHO_B  ',             &
                      'J_CH3CHO  ','J         ','J         ','J         ','J_RCHO    ' /)
-
+!
 !-- Species dependent parameters for simple photolysis frequencies from MCM
 !-- (http://mcm.leeds.ac.uk/MCM)
@@ -136,10 +136,10 @@
                        7.344E-06_wp, 0.0000E00_wp, 0.0000E00_wp, 0.000E00_wp,  6.853E-05_wp /)
 
-   REAL(wp), PARAMETER, DIMENSION(nconst) :: par_m =  (/                                           &
+    REAL(wp), PARAMETER, DIMENSION(nconst) :: par_m =  (/                                          &
                            1.743_wp,    0.298_wp,    0.723_wp,    0.244_wp,    0.168_wp,           &
                            0.155_wp,    0.261_wp,    1.230_wp,    0.762_wp,    0.477_wp,           &
                            1.202_wp,    0.000_wp,    0.000_wp,    0.000_wp,    0.477_wp /)
 
-   REAL(wp), PARAMETER, DIMENSION(nconst) :: par_n =  (/                                           &
+    REAL(wp), PARAMETER, DIMENSION(nconst) :: par_n =  (/                                          &
                            0.474_wp,    0.080_wp,    0.279_wp,    0.267_wp,    0.108_wp,           &
                            0.125_wp,    0.288_wp,    0.307_wp,    0.353_wp,    0.323_wp,           &
@@ -150,5 +150,5 @@
                                                     !< specified otherwise)
 
-!
+
     INTERFACE photolysis_constant
        MODULE PROCEDURE photolysis_constant
Index: /palm/trunk/SOURCE/chemistry_model_mod.f90
===================================================================
--- /palm/trunk/SOURCE/chemistry_model_mod.f90	(revision 4576)
+++ /palm/trunk/SOURCE/chemistry_model_mod.f90	(revision 4577)
@@ -26,4 +26,7 @@
 ! -----------------
 ! $Id$
+! further re-formatting to follow the PALM coding standard
+!
+! 4559 2020-06-11 08:51:48Z raasch
 ! file re-formatted to follow the PALM coding standard
 !
@@ -364,7 +367,5 @@
     REAL(kind=wp), ALLOCATABLE, DIMENSION(:,:,:,:), TARGET ::  spec_conc_3  !< pointer for swapping of timelevels for conc
     REAL(kind=wp), ALLOCATABLE, DIMENSION(:,:,:,:), TARGET ::  freq_1       !< pointer for phtolysis frequncies
-                                                                            !< (only 1 timelevel required)
-                                                                            !< (e.g. solver type)
-
+                                                                            !< (only 1 timelevel required) (e.g. solver type)
 
 !
@@ -1567,4 +1568,6 @@
     USE control_parameters
 
+    REAL(wp), PARAMETER ::  fill_value = -9999.0_wp    !< value for the _FillValue attribute
+
     CHARACTER(LEN=16) ::  spec_name
     CHARACTER(LEN=*)  ::  variable    !<
@@ -1586,5 +1589,4 @@
     REAL(wp), DIMENSION(mask_size_l(mid,1),mask_size_l(mid,2),mask_size_l(mid,3)) ::  local_pf   !<
 
-    REAL(wp), PARAMETER ::  fill_value = -9999.0_wp    !< value for the _FillValue attribute
 
 !
@@ -2279,4 +2281,12 @@
         ONLY:  dt_3d, intermediate_timestep_count, time_since_reference_point
 
+    REAL(wp), PARAMETER              ::  fr2ppm  = 1.0e6_wp              !< Conversion factor fraction to ppm
+!    REAL(wp), PARAMETER              ::  xm_air  = 28.96_wp              !< Mole mass of dry air
+!    REAL(wp), PARAMETER              ::  xm_h2o  = 18.01528_wp           !< Mole mass of water vapor
+    REAL(wp), PARAMETER              ::  p_std   = 101325.0_wp           !< standard pressure (Pa)
+    REAL(wp), PARAMETER              ::  ppm2fr  = 1.0e-6_wp             !< Conversion factor ppm to fraction
+    REAL(wp), PARAMETER              ::  t_std   = 273.15_wp             !< standard pressure (Pa)
+    REAL(wp), PARAMETER              ::  vmolcm  = 22.414e3_wp           !< Mole volume (22.414 l) in cm^3
+    REAL(wp), PARAMETER              ::  xna     = 6.022e23_wp           !< Avogadro number (molecules/mol)
 
     INTEGER,INTENT(IN)       :: i
@@ -2294,17 +2304,4 @@
     REAL(wp)                         ::  conv                                !< conversion factor
     REAL(kind=wp)                    ::  dt_chem
-
-    REAL(wp), PARAMETER              ::  fr2ppm  = 1.0e6_wp              !< Conversion factor
-                                                                         !< fraction to ppm
-!    REAL(wp), PARAMETER              ::  xm_air  = 28.96_wp              !< Mole mass of dry air
-!    REAL(wp), PARAMETER              ::  xm_h2o  = 18.01528_wp           !< Mole mass of water vapor
-    REAL(wp), PARAMETER              ::  p_std   = 101325.0_wp           !< standard pressure (Pa)
-    REAL(wp), PARAMETER              ::  ppm2fr  = 1.0e-6_wp             !< Conversion factor ppm to
-                                                                         !< fraction
-    REAL(wp), PARAMETER              ::  t_std   = 273.15_wp             !< standard pressure (Pa)
-    REAL(wp), PARAMETER              ::  vmolcm  = 22.414e3_wp           !< Mole volume (22.414 l)
-                                                                         !< in cm^3
-    REAL(wp), PARAMETER              ::  xna     = 6.022e23_wp           !< Avogadro number
-                                                                         !< (molecules/mol)
 
     REAL(wp),DIMENSION(size(rcntrl)) :: rcntrl_local
@@ -3442,11 +3439,12 @@
 !-- Particle parameters (PM10 (1), PM25 (2)) partsize (diameter in m), rhopart (density in kg/m3),
 !-- slipcor (slip correction factor dimensionless, Seinfeld and Pandis 2006, Table 9.3)
-    LOGICAL ::  match_lsm     !< flag indicating natural-type surface
-    LOGICAL ::  match_usm     !< flag indicating urban-type surface
-
     REAL(wp), DIMENSION(1:3,1:2), PARAMETER ::  particle_pars = RESHAPE( (/                        &
                                                          8.0e-6_wp, 1.14e3_wp, 1.016_wp, &   !<  1
                                                          0.7e-6_wp, 1.14e3_wp, 1.082_wp  &   !<  2
                                                          /), (/ 3, 2 /) )
+
+    LOGICAL ::  match_lsm     !< flag indicating natural-type surface
+    LOGICAL ::  match_usm     !< flag indicating urban-type surface
+
 !
 !-- List of names of possible tracers
@@ -5301,7 +5299,8 @@
 !
 !-- Local variables
+    REAL(wp), PARAMETER ::  dO3 = 0.13e-4          !< diffusion coefficient of ozon (m2/s)
+
     REAL(wp) ::  vpd                               !< vapour pressure deficit (kPa)
 
-    REAL(wp), PARAMETER ::  dO3 = 0.13e-4          !< diffusion coefficient of ozon (m2/s)
 !
 !-- Next line is to avoid compiler warning about unused variables
@@ -5395,4 +5394,6 @@
 !
 !-- Local variables:
+    REAL(wp), PARAMETER ::  p_sealevel = 1.01325e05    !< Pa
+
     REAL(wp) ::  bt
     REAL(wp) ::  f_env
@@ -5411,5 +5412,4 @@
     REAL(wp) ::  sinphi
 
-    REAL(wp), PARAMETER ::  p_sealevel = 1.01325e05    !< Pa
 !
 !-- Check whether vegetation is present:
@@ -6029,5 +6029,4 @@
 !
 !-- const
-
     REAL(wp), PARAMETER ::  kappa_stab = 0.35     !< von Karman constant
     REAL(wp), PARAMETER ::  thk = 0.19e-4         !< thermal diffusivity of dry air 20 C
Index: /palm/trunk/SOURCE/cpulog_mod.f90
===================================================================
--- /palm/trunk/SOURCE/cpulog_mod.f90	(revision 4576)
+++ /palm/trunk/SOURCE/cpulog_mod.f90	(revision 4577)
@@ -24,4 +24,7 @@
 ! -----------------
 ! $Id$
+! further re-formatting concerning Fortran parameter variables
+!
+! 4559 2020-06-11 08:51:48Z raasch
 ! file re-formatted to follow the PALM coding standard
 !
@@ -131,6 +134,7 @@
     INTEGER(iwp), PARAMETER ::  cpu_log_stop = 3      !<
 
+    LOGICAL, PARAMETER ::  cpu_log_nowait = .FALSE.       !<
+
     LOGICAL            ::  cpu_log_barrierwait = .FALSE.  !<
-    LOGICAL, PARAMETER ::  cpu_log_nowait = .FALSE.       !<
 
     REAL(dp) ::  initial_wallclock_time  !<
Index: /palm/trunk/SOURCE/data_output_binary_module.f90
===================================================================
--- /palm/trunk/SOURCE/data_output_binary_module.f90	(revision 4576)
+++ /palm/trunk/SOURCE/data_output_binary_module.f90	(revision 4577)
@@ -24,4 +24,7 @@
 ! -----------------
 ! $Id$
+! further re-formatting to follow the PALM coding standard
+!
+! 4559 2020-06-11 08:51:48Z raasch
 ! file re-formatted to follow the PALM coding standard
 !
@@ -64,29 +67,21 @@
 
 
-    CHARACTER(LEN=*), PARAMETER ::  config_file_name = 'BINARY_TO_NETCDF_CONFIG'  !< name of config
-                                                                                  !< file
-    CHARACTER(LEN=*), PARAMETER ::  file_prefix = 'BIN_'                          !< file prefix for
-                                                                                  !< binary files
-    CHARACTER(LEN=*), PARAMETER ::  mode_binary = 'binary'                        !< string to
-                                                                                  !< select operation mode of module
+    CHARACTER(LEN=*), PARAMETER ::  config_file_name = 'BINARY_TO_NETCDF_CONFIG'  !< name of config file
+    CHARACTER(LEN=*), PARAMETER ::  file_prefix = 'BIN_'                          !< file prefix for binary files
+    CHARACTER(LEN=*), PARAMETER ::  mode_binary = 'binary'                        !< string to select operation mode of module
 
     INTEGER, PARAMETER ::  charlen = 100  !< maximum length of character variables
 
-    CHARACTER(LEN=charlen)      ::  file_suffix = ''             !< file suffix added to each file
-                                                                 !< name
-    CHARACTER(LEN=800)          ::  internal_error_message = ''  !< string containing the last error
-                                                                 !< message
+    CHARACTER(LEN=charlen)      ::  file_suffix = ''             !< file suffix added to each file name
+    CHARACTER(LEN=800)          ::  internal_error_message = ''  !< string containing the last error message
     CHARACTER(LEN=800)          ::  temp_string                  !< dummy string
 
-    INTEGER ::  binary_file_lowest_unit = 1000  !< lowest unit number of all binary files created by
-                                                !< this module
+    INTEGER ::  binary_file_lowest_unit = 1000  !< lowest unit number of all binary files created by this module
     INTEGER ::  config_file_unit                !< unit number of config file
     INTEGER ::  debug_output_unit               !< Fortran Unit Number of the debug-output file
     INTEGER ::  global_id_in_file = -1          !< value of global ID within a file
-    INTEGER ::  master_rank                     !< master rank for tasks to be executed by single PE
-                                                !< only
+    INTEGER ::  master_rank                     !< master rank for tasks to be executed by single PE only
     INTEGER ::  next_available_unit             !< next unit number available for new file
-    INTEGER ::  output_group_comm               !< MPI communicator addressing all MPI ranks which
-                                                !< participate in output
+    INTEGER ::  output_group_comm               !< MPI communicator addressing all MPI ranks which participate in output
 
     INTEGER, DIMENSION(:), ALLOCATABLE ::  files_highest_variable_id  !< highest assigned ID of
@@ -194,12 +189,11 @@
  SUBROUTINE binary_open_file( mode, file_name, file_id, return_value )
 
+    CHARACTER(LEN=*), PARAMETER ::  routine_name = 'binary_open_file'  !< name of this routine
+
     CHARACTER(LEN=charlen)             ::  bin_filename = ''  !< actual name of binary file
-    CHARACTER(LEN=7)                   ::  my_rank_char       !< string containing value of my_rank
-                                                              !< with leading zeros
+    CHARACTER(LEN=7)                   ::  my_rank_char       !< string containing value of my_rank with leading zeros
 
     CHARACTER(LEN=charlen), INTENT(IN) ::  file_name          !< name of file
     CHARACTER(LEN=*),       INTENT(IN) ::  mode               !< operation mode
-
-    CHARACTER(LEN=*), PARAMETER ::  routine_name = 'binary_open_file'  !< name of this routine
 
     INTEGER              ::  my_rank       !< MPI rank of local processor
@@ -256,6 +250,6 @@
           ENDIF
 
-          OPEN( config_file_unit, FILE = TRIM( config_file_name ) // TRIM( file_suffix ),          &
-                FORM = 'UNFORMATTED', STATUS = 'NEW', IOSTAT=return_value )
+          OPEN( config_file_unit, FILE=TRIM( config_file_name ) // TRIM( file_suffix ),          &
+                FORM='UNFORMATTED', STATUS='NEW', IOSTAT=return_value )
 
           IF ( return_value == 0 )  THEN
@@ -290,5 +284,5 @@
 !
 !--    Remove any pre-existing file
-       INQUIRE( FILE = TRIM( bin_filename ), EXIST = file_exists )
+       INQUIRE( FILE=TRIM( bin_filename ), EXIST=file_exists )
 
        IF ( file_exists )  THEN
@@ -304,6 +298,6 @@
 !--    Open binary file
        CALL internal_message( 'debug', routine_name // ': open file ' // TRIM( bin_filename ) )
-       OPEN ( next_available_unit, FILE = TRIM( bin_filename ), FORM = 'UNFORMATTED',              &
-              STATUS = 'NEW', IOSTAT = return_value )
+       OPEN ( next_available_unit, FILE=TRIM( bin_filename ), FORM='UNFORMATTED', STATUS='NEW',    &
+              IOSTAT=return_value )
 
        IF ( return_value == 0 )  THEN
@@ -355,4 +349,7 @@
                                     return_value )
 
+
+    CHARACTER(LEN=*), PARAMETER ::  routine_name = 'binary_write_attribute'  !< name of this routine
+
     CHARACTER(LEN=charlen)                       ::  attribute_type        !< data type of attribute
     CHARACTER(LEN=charlen)                       ::  output_string         !< output string
@@ -361,5 +358,4 @@
     CHARACTER(LEN=charlen), INTENT(IN), OPTIONAL ::  value_char            !< value of attribute
 
-    CHARACTER(LEN=*), PARAMETER ::  routine_name = 'binary_write_attribute'  !< name of this routine
 
     INTEGER, INTENT(IN)  ::  file_id       !< file ID
@@ -429,4 +425,6 @@
                                    dimension_type, dimension_length, return_value )
 
+    CHARACTER(LEN=*), PARAMETER ::  routine_name = 'binary_init_dimension'  !< name of this routine
+
     CHARACTER(LEN=charlen)             ::  output_string   !< output string
 
@@ -434,6 +432,4 @@
     CHARACTER(LEN=charlen), INTENT(IN) ::  dimension_type  !< data type of dimension
     CHARACTER(LEN=*),       INTENT(IN) ::  mode            !< operation mode
-
-    CHARACTER(LEN=*), PARAMETER ::  routine_name = 'binary_init_dimension'  !< name of this routine
 
     INTEGER, INTENT(IN)  ::  dimension_length  !< length of dimension
@@ -481,4 +477,5 @@
  SUBROUTINE binary_init_variable( mode, file_id, variable_id, variable_name, variable_type,        &
                                   dimension_ids, is_global, return_value )
+    CHARACTER(LEN=*), PARAMETER ::  routine_name = 'binary_init_variable'  !< name of this routine
 
     CHARACTER(LEN=charlen)             ::  output_string   !< output string
@@ -487,9 +484,7 @@
     CHARACTER(LEN=charlen), INTENT(IN) ::  variable_type   !< data type of variable
 
-    CHARACTER(LEN=*), PARAMETER ::  routine_name = 'binary_init_variable'  !< name of this routine
-
     INTEGER, INTENT(IN)  ::  file_id       !< file ID
+    INTEGER, INTENT(OUT) ::  return_value  !< return value
     INTEGER, INTENT(OUT) ::  variable_id   !< variable ID
-    INTEGER, INTENT(OUT) ::  return_value  !< return value
 
     INTEGER, DIMENSION(:), INTENT(IN) ::  dimension_ids  !< list of dimension IDs used by variable
@@ -530,8 +525,7 @@
  SUBROUTINE binary_stop_file_header_definition( file_id, return_value )
 
+    CHARACTER(LEN=*), PARAMETER ::  routine_name = 'binary_stop_file_header_definition'  !< name of this routine
+
     CHARACTER(LEN=charlen) ::  output_string  !< output string
-
-    CHARACTER(LEN=*), PARAMETER ::  routine_name = 'binary_stop_file_header_definition'  !< name of
-                                                                                         !< this routine
 
     INTEGER, INTENT(IN)  ::  file_id       !< file ID
@@ -568,7 +562,8 @@
                            return_value )
 
+
+    CHARACTER(LEN=*), PARAMETER ::  routine_name = 'binary_write_variable'  !< name of this routine
+
     CHARACTER(LEN=charlen) ::  output_string  !< output string
-
-    CHARACTER(LEN=*), PARAMETER ::  routine_name = 'binary_write_variable'  !< name of this routine
 
     CHARACTER(LEN=1), POINTER,             INTENT(IN), OPTIONAL                   ::  values_char_0d  !< output variable
@@ -790,7 +785,7 @@
  SUBROUTINE binary_finalize( file_id, return_value )
 
+    CHARACTER(LEN=*), PARAMETER ::  routine_name = 'binary_finalize'  !< name of this routine
+
     CHARACTER(LEN=charlen) ::  output_string  !< output string
-
-    CHARACTER(LEN=*), PARAMETER ::  routine_name = 'binary_finalize'  !< name of this routine
 
     INTEGER, INTENT(IN)  ::  file_id       !< file ID
